<?php

namespace App\Modules\Briefing\Domain;

use App\Modules\Shared\Domain\ValueObject\EnumValueObject;

class BriefingOrderBy extends EnumValueObject
{

    public const DATE_START = 'dateStart';
    public const DATE_BRIEFING = 'dateBriefing';
    
    public static function values(): array
    {
        return [ self::DATE_BRIEFING, self::DATE_START ];
    }

    public static function defaultValue()
    {
        return new self(self::DATE_START);
    }
}
